package article

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxArticleCeluePush struct {
	Id         int       `orm:"column(id)" description:"自增Id"`
	ArticleId  int       `description:"文章ID"`
	Action     string    `description:"日志类型：add，edit，move"`
	ModifyTime time.Time `description:"更新时间"`
	CreateTime time.Time `description:"添加时间"`
	IsHandle   int       `description:"是否处理过"`
}

// 新增
func AddCygxArticleCeluePush(item *CygxArticleCeluePush) (err error) {
	o := orm.NewOrm()
	_, err = o.Insert(item)
	return
}
